Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.design
Class JRDesignField

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseField
          net.sf.jasperreports.engine.design.JRDesignField

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRField, JRPropertiesHolder

    public class JRDesignField

extends JRBaseField

Version:
  $Id: JRDesignField.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROPERTY_NAME`
`static java.lang.String` | `PROPERTY_VALUE_CLASS_NAME`

Fields inherited from class net.sf.jasperreports.engine.base.JRBaseField
`description, name, propertiesMap, PROPERTY_DESCRIPTION, valueClass, valueClassName, valueClassRealName`

Constructor Summary
`JRDesignField()`

Method Summary
`void` | `setName(java.lang.String name)`
`void` | `setValueClass(java.lang.Class clazz)`
`void` | `setValueClassName(java.lang.String className)`

Methods inherited from class net.sf.jasperreports.engine.base.JRBaseField
`clone, getDescription, getEventSupport, getName, getParentProperties, getPropertiesMap, getValueClass, getValueClassName, hasProperties, setDescription`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROPERTY_NAME

    public static final java.lang.String PROPERTY_NAME

See Also:
  Constant Field Values

### PROPERTY_VALUE_CLASS_NAME

    public static final java.lang.String PROPERTY_VALUE_CLASS_NAME

See Also:
  Constant Field Values

Constructor Detail

### JRDesignField

    public JRDesignField()

Method Detail

### setName

    public void setName(java.lang.String name)

### setValueClass

    public void setValueClass(java.lang.Class clazz)

### setValueClassName

    public void setValueClassName(java.lang.String className)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com